Bug 183363 - missing symbols in PAM modules
Summary: missing symbols in PAM modules
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pam   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-02-28 17:10 UTC by Paolo Penzo
Modified: 2015-01-08 00:11 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0346
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 14:41:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0346 normal SHIPPED_LIVE pam bug fix update 2006-07-19 18:47:00 UTC

Description Paolo Penzo 2006-02-28 17:10:56 UTC
Almost all pam modules shipped with RHEL 3 (U5) and RHEL 4 (U1) 
have missing symbols (pam_get_item, pam_set_item,...).

Missing symbols cause pam library to fail when authentication is 
performed into intermediate libs opened via dlopen by the caller program. 

Missing symbols are defined in libpam that, usually, it is not linked by 
the modules.
More info:
http://openvpn.net/archive/openvpn-devel/2005-06/msg00037.html
http://cvs.sourceforge.net/viewcvs.py/pam/Linux-PAM/modules/pam_unix/Makefile?view=log#rev1.5

This issue involves great part of the modules included in pam-*.rpm,
pam_krb5-*.rpm and may be more (for a complete list run ldd -r pam_module on the
module directory).

To reproduce the problem:
1) create a shared library calling libpam auth functions.
2) create a program that uses the library created at the previous step using dlopen
3) run it.

Comment 1 Tomas Mraz 2006-03-01 07:14:38 UTC
I agree that this is a real problem and that it should be fixed.

Please enter this problem into the Support Issue Tracker so it can be properly
prioritized. Mention this bug report number in that entry.


Comment 6 Bob Johnson 2006-04-11 15:51:56 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 7 Tomas Mraz 2006-04-14 11:35:33 UTC
This is being fixed for modules from the basic pam package however other modules
such as pam_krb5 should be fixed as well. There should be new bug reports
against each package which contains such PAM modules.


Comment 9 Paolo Penzo 2006-04-19 07:01:53 UTC
What about RH 4?

Comment 10 Tomas Mraz 2006-04-19 07:12:57 UTC
The pam package is scheduled to be updated there as well if all goes well.


Comment 13 Red Hat Bugzilla 2006-07-20 14:41:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0346.html



Note You need to log in before you can comment on or make changes to this bug.